<?php
	/**************************************************************************\
	* phpGroupWare - Inventory                                                 *
	* http://www.phpgroupware.org                                              *
	* Written by Bettina Gille [ceb@phpgroupware.org]	                       *
	* -----------------------------------------------                          *
	* This program is free software; you can redistribute it and/or modify it  *
	* under the terms of the GNU General Public License as published by the    *
	* Free Software Foundation; either version 2 of the License, or (at your   *
	* option) any later version.                                               *
	\**************************************************************************/
	/* $Id: deletestatus.php,v 1.10 2001/06/05 01:20:09 bettina Exp $ */

	if ($confirm)
	{
		$phpgw_info['flags'] = array('noheader' => True,
									'nonavbar' => True);
	}

	$phpgw_info['flags']['currentapp'] = 'inv';
	include('../header.inc.php');

/*	(!$status_id)
	{
		Header('Location: ' . $phpgw->link('/inv/liststatus.php'));
	} */

	if ($confirm)
	{
		$phpgw->db->query("delete from phpgw_inv_statuslist where status_id='$status_id'");
		Header('Location: ' . $phpgw->link('/inv/liststatus.php'));
	}
    else
	{
		$hidden_vars ='<input type="hidden" name="status_id" value="' . $status_id . '">' . "\n";

		$t = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
		$t->set_file(array('status_delete' => 'delete.tpl'));
		$t->set_var('deleteheader',lang('Are you sure you want to delete this status ?'));
		$t->set_var('lang_subs','');
		$t->set_var('subs', '');
		$t->set_var('nolink',$phpgw->link('/inv/liststatus.php','status_id=' . $status_id));
        $t->set_var('lang_no',lang('No'));
        $t->set_var('hidden_vars',$hidden_vars);
		$t->set_var('action_url',$phpgw->link('/inv/deletestatus.php','status_id=' . $status_id));
		$t->set_var('lang_yes',lang('Yes'));
		$t->pparse('out','status_delete');
	}
	$phpgw->common->phpgw_footer();
?>
